Subject: bug#29013: 25.3; [wishlist] do not yank whitespace

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 30 Jun 2021 15:56:12 +0200

Alex Branham <[email-masked]> writes:

> It would be nice to have an option so that yank never returns pure
> whitespace.

I think that's a good idea -- or, to be more general, I think it would
be nice if there was a way to transform texts before they're put on the
kill ring, and possibly discard them.

So for this particular use case, the transformation function could
return nil to indicate that it shouldn't land in the kill ring.

So I've now added this to Emacs 28 under the name kill-transform-function.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no